Skip to main content
GET
/
v1
/
payments
List payments
curl --request GET \
  --url https://payments.sandbox.lerian.net/v1/payments \
  --header 'Authorization: <api-key>' \
  --header 'X-Organization-Id: <x-organization-id>'
import requests

url = "https://payments.sandbox.lerian.net/v1/payments"

headers = {
    "X-Organization-Id": "<x-organization-id>",
    "Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-Organization-Id': '<x-organization-id>', Authorization: '<api-key>'}
};

fetch('https://payments.sandbox.lerian.net/v1/payments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "amount": "<string>",
      "canceledAt": "<string>",
      "createdAt": "<string>",
      "darf": {
        "fineAmount": "<string>",
        "interestAmount": "<string>",
        "mainAmount": "<string>",
        "name": "<string>",
        "personType": "<string>",
        "referenceDate": "<string>",
        "taxId": "<string>",
        "treasuryRevenueCode": "<string>",
        "type": "<string>"
      },
      "description": "<string>",
      "digitableLine": "<string>",
      "dueDate": "<string>",
      "errorMessage": "<string>",
      "failedAt": "<string>",
      "id": "<string>",
      "payee": {
        "name": "<string>",
        "taxId": "<string>"
      },
      "providerId": "<string>",
      "rejectedAt": "<string>",
      "scheduledDate": "<string>",
      "settledAmount": "<string>",
      "settledAt": "<string>",
      "status": "<string>",
      "type": "<string>"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}
{
  "code": "PBP-0001",
  "details": {},
  "message": "dueDate must be in YYYY-MM-DD format",
  "title": "Bad Request"
}
{
  "code": "PBP-0001",
  "details": {},
  "message": "dueDate must be in YYYY-MM-DD format",
  "title": "Bad Request"
}
{
  "code": "PBP-0001",
  "details": {},
  "message": "dueDate must be in YYYY-MM-DD format",
  "title": "Bad Request"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Organization-Id
string
required

Tenant organization ID

Query Parameters

page
integer

Page number (default: 1)

limit
integer

Items per page (default: 20, max: 100)

status
enum<string>

Status filter

Available options:
CREATED,
SCHEDULED,
PENDING_APPROVAL,
APPROVED,
EXECUTED,
SETTLED,
REJECTED,
FAILED,
CANCELED
type
enum<string>

Payment type filter

Available options:
BANKSLIP,
UTILITIES,
DARF
from
string

Created from date (YYYY-MM-DD)

to
string

Created to date (YYYY-MM-DD)

Response

OK

items
object[]
limit
integer
page
integer
total
integer